# extendWithFaceLandmarks | @vladmandic/face-api - v1.7.8
Documentation for @vladmandic/face-api - v1.7.8

# Function extendWithFaceLandmarks

- extendWithFaceLandmarks<TSource, TFaceLandmarks>(sourceObj: TSource, unshiftedLandmarks: TFaceLandmarks): WithFaceLandmarks <TSource, TFaceLandmarks>

- #### Type Parameters

  - #### TSource extends {
    detection: FaceDetection ;
    }

  - #### TFaceLandmarks extends FaceLandmarks <TFaceLandmarks> = FaceLandmarks68

  #### Parameters

  - ##### sourceObj: TSource

  - ##### unshiftedLandmarks: TFaceLandmarks

  #### Returns WithFaceLandmarks <TSource, TFaceLandmarks>

  - Defined in factories/WithFaceLandmarks.ts:100